Summary
Get Trigger
Description
Get a Trigger.
Route
GET /operations-manager/triggers/:id
Roles
admin
engineering
apiread
operations
viewer
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| id |
string |
yes |
The id of the Trigger to get. |
Copied to Clipboard
{
"type": "object",
"properties": {},
"required": [],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| result |
object |
The requested Trigger. |
Copied to Clipboard
{
"message": "Successfully created the requested item",
"data": {
"name": "amet",
"description": "sed occaecat est enim dolore",
"type": true,
"enabled": "do ullamco",
"actionType": 20822881,
"actionId": 41415805.01747635,
"lastExecuted": "sed",
"createdBy": -17169980.691167682,
"created": 90824124.6512469,
"lastUpdatedBy": false,
"lastUpdated": 96454076,
"formData": true,
"legacyWrapper": -17515589.917396307,
"firstRunAt": -66587467.225813456,
"nextRunAt": "aliqua proident",
"processMissedRuns": true,
"locked": true,
"repeatUnit": 99211638,
"repeatFrequency": -46303890,
"repeatInterval": false,
"_id": 67552311,
"formId": true
}
}